Get a role page assignment

get

/fscmRestApi/resources/11.13.18.05/hedPageRoleAssignments/{AssignmentId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : hedPageRoleAssignments-item-response
Type: object
Show Source
  • Title: Page Role Assignment ID
    Read Only: true
    Identifier of the assignment of page permissions to the security role.
  • Title: Created By
    Read Only: true
    Maximum Length: 64
    The user who created the page role assignment.
  • Title: Creation Date
    Read Only: true
    The date and time when the page role assignment was created.
  • Title: Last Updated Date
    Read Only: true
    The date and time when the page role assignment was last updated.
  • Title: Last Updated By
    Read Only: true
    Maximum Length: 64
    The user who last updated the page role assignment.
  • Links
  • Title: Page ID
    Identifier of the application page.
  • Title: Page Name
    Read Only: true
    Maximum Length: 100
    The name of the page.
  • Title: Role Code
    Maximum Length: 128
    The alternate identifier for the security role.
  • Title: Role Name
    Read Only: true
    Maximum Length: 240
    The name of the security role.
  • Page Permission Role Assignments
    Title: Page Permission Role Assignments
    Page permissions define what users can do with a page, like view or modify specific sections. These permissions are set through page access role assignments.
  • Title: Seed Data Lock
    Read Only: true
    Default Value: 0
    Indicates whether the record is predefined. The value 0 means the record isn't predefined. The value 1 means the record is predefined and can't be updated. A value greater than 1 means the record is predefined but can be updated.
Nested Schema : Page Permission Role Assignments
Type: array
Title: Page Permission Role Assignments
Page permissions define what users can do with a page, like view or modify specific sections. These permissions are set through page access role assignments.
Show Source
Nested Schema : hedPageRoleAssignments-rolePagePermissions-item-response
Type: object
Show Source
  • Title: Created By
    Read Only: true
    Maximum Length: 64
    The user who created the role page permission.
  • Title: Creation Date
    Read Only: true
    The date and time when the role page permission was created.
  • Title: Last Updated Date
    Read Only: true
    The date and time when the role page permission was last updated.
  • Title: Last Updated By
    Read Only: true
    Maximum Length: 64
    The user who last updated the role page permission.
  • Links
  • Title: Page Element Code
    Read Only: true
    Maximum Length: 100
    Unique identifier of the element on the application page.
  • Title: Page Element Name
    Read Only: true
    Maximum Length: 100
    Name of the element on the application page.
  • Title: Page Permission Code
    Read Only: true
    Maximum Length: 50
    The alternate identifiers for the permission sets.
  • Title: Page Permission ID
    Identification number of application page permission set.
  • Title: Page Permission Name
    Read Only: true
    Maximum Length: 50
    Names of the security permission set.
  • Title: Permission Mapping ID
    Read Only: true
    Identifier number of mapping the page element to the security role.
  • Title: Seed Data Lock
    Read Only: true
    Default Value: 0
    Indicates whether the record is predefined. The value 0 means the record isn't predefined. The value 1 means the record is predefined and can't be updated. A value greater than 1 means the record is predefined but can be updated.
Back to Top